Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
Retrieve the list of payouts for a account.
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/payouts
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Path parameters
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account Id
Query parameters
affiliateId
string
default:"65df04201e428a0c5ebb6572"
Affiliate Id
campaignId
string
default:"65df04201e428a0c5ebb6573"
Campaign Id
start
string
default:"2022-12-01T00:00:00.000Z"
end
string
default:"2022-12-31T23:59:59.999Z"
Respuestas
200 - Successful response
Payout list
_id
string
default:"65df04201e428a0c5ebb6571"
required
Payout id
locationId
string
default:"ve9EPM428h8vShlRW1KT"
required
Account id
affiliateId
string
default:"65df04201e428a0c5ebb6572"
required
Affiliate id
campaignId
string
default:"65df04201e428a0c5ebb6573"
Campaign id
currency
string
default:"USD"
required
Payout currency
amount
number
default:"150"
required
Payout amount
payoutMonth
string
default:"2024-06-01T00:00:00.000Z"
Payout month
dueAt
string
default:"2024-06-30T00:00:00.000Z"
Payout due date
paidAt
string
default:"2024-06-30T00:00:00.000Z"
Payout paid date
Whether the payout is deleted
Whether the payout is migrated
createdAt
string
default:"2024-06-16T00:00:00.000Z"
Created at timestamp
updatedAt
string
default:"2024-06-17T00:00:00.000Z"
Updated at timestamp
campaign
string
default:"Summer Promo"
Campaign name
affiliateEmail
string
default:"john.doe@example.com"
Affiliate email
{
"payouts": [
{
"_id": "65df04201e428a0c5ebb6571",
"locationId": "ve9EPM428h8vShlRW1KT",
"affiliateId": "65df04201e428a0c5ebb6572",
"campaignId": "65df04201e428a0c5ebb6573",
"currency": "USD",
"amount": 150,
"status": "pending",
"payoutMonth": "2024-06-01T00:00:00.000Z",
"dueAt": "2024-06-30T00:00:00.000Z",
"paidAt": "2024-06-30T00:00:00.000Z",
"paidMeta": {},
"paidMethod": "manual",
"altId": "alt_123",
"deleted": false,
"isMigrated": false,
"createdAt": "2024-06-16T00:00:00.000Z",
"updatedAt": "2024-06-17T00:00:00.000Z",
"campaign": "Summer Promo",
"affiliateName": "John Doe",
"affiliateEmail": "john.doe@example.com",
"payoutMethod": "paypal"
}
]
}
422 - Unprocessable Entity
Ejemplo
curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/payouts' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'